<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Kpi Period</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        KPI
        <small>Periood</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Kpi Period</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">
            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Gagal dapat dihapus..</p>
            </div>

            <div class="callout callout-danger" th:if="${empty != null}">
                <h4>Edit Data Not Allowed!</h4>

                <p>Becuse data not available..</p>
            </div>
            <div class="box">
                <div class="box-header with-border">
                    <a th:href="@{/setting/kpi/periode/new}" class="btn btn-primary">+ Period</a>
                </div>
                <div class="box-body table-responsive">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Code</th>
                            <th>Period</th>
                            <th>Setting Date</th>
                            <th>Period Date</th>
                            <th>Assesment Date</th>
                            <th>Calculation Date</th>
                            <th>Status</th>
                            <th></th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataKpiPeriode,row : ${listKpiPeriode}">
                            <td th:text="${(row.index + 1) + (listKpiPeriode.number * listKpiPeriode.size)}"></td>
                            <td th:text="${dataKpiPeriode.getKodePeriode()}"></td>
                            <td th:text="${dataKpiPeriode.getNamaPeriode()}"></td>
                            <td th:text="${#temporals.format(dataKpiPeriode.mulaiSetting,'dd-MMM-yyyy') +' s/d '+ #temporals.format(dataKpiPeriode.selesaiSetting,'dd-MMM-yyyy')}"></td>
                            <td th:text="${#temporals.format(dataKpiPeriode.mulaiPeriode,'dd-MMM-yyyy') +' s/d '+ #temporals.format(dataKpiPeriode.selesaiPeriode,'dd-MMM-yyyy')}"></td>
                            <td th:text="${#temporals.format(dataKpiPeriode.mulaiPenilaian,'dd-MMM-yyyy') +' s/d '+ #temporals.format(dataKpiPeriode.selesaiPenilaian,'dd-MMM-yyyy')}"></td>
                            <td th:text="${#temporals.format(dataKpiPeriode.tanggalKalkulasi,'dd-MMM-yyyy')}"></td>
                            <td th:text="${dataKpiPeriode.statusAktif}"></td>
                            <td>
                                <a th:href="@{/setting/kpi/periode/edit(kpiPeriode=${dataKpiPeriode.getId()})}" class="btn btn-xs btn-success">Edit</a>
                            </td>
                            <td>
                                <form method="post" th:action="@{/setting/kpi/periode/delete(kpiPeriode=${dataKpiPeriode.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs"
                                            onclick="return confirm('Are you sure want to delete this KPI Period?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="box-footer">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

</section>
</body>
</html>